# $Revision: 1.7 $, $Date: 2003/02/14 04:48:51 $
Summary:	MP3 input plugin for xmms using MAD library
Summary(pl):	Wtyczka odtwarzajca pliki MP3 dla xmms z uyciem bilioteki MAD
Name:		xmms-input-mad
Version:	0.0.9
Release:	3
License:	GPL
Group:		X11/Applications/Sound
Source0:	xmms-mad-%{version}.tar.gz
Patch0:		%{name}-no-configure.patch
Requires:	xmms
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gtk+-devel
BuildRequires:	libtool
BuildRequires:	mad-devel
BuildRequires:	xmms-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_xmms_plugin_dir	%(xmms-config --input-plugin-dir)

%description
xmms-mad is an input plugin for xmms that uses libmad to decode MPEG
layer 1/2/3 files and streams. It is not as configurable as mpg123
plugin, however it handles some evil mp3 files better.

%description -l pl
xmms-mad jest wtyczk wejciow dla xmms-a uywajc libmad do
dekodowania plikw i strumieni MPEG layer 1/2/3. Nie jest ona tak
konfigurowalna jak konkurencja (mpg123), jednak lepiej radzi sobie z
niektrymi uszkodzonymi plikami mp3.

%prep
%setup -q -n xmms-mad-%{version}
%patch0 -p1

%build
rm -f config/missing
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__automake}
%{__autoconf}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	libdir=%{_xmms_plugin_dir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS README
%attr(755,root,root) %{_xmms_plugin_dir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: xmms-input-mad.spec,v $
Revision 1.7  2003/02/14 04:48:51  kloczek
- release 3: install plugin in system avalailbe xmms plugin depending path.

Revision 1.6  2003/01/18 22:58:55  juandon
- removed two lines with define

Revision 1.5  2002/12/28 01:38:11  qboosh
- use new Group: X11/Applications/Sound

Revision 1.4  2002/10/10 06:24:31  kloczek
- release 2.

Revision 1.3  2002/10/09 13:14:51  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.2  2002/10/09 10:09:20  qboosh
- BR: libtool

Revision 1.1  2002/08/06 09:57:38  malekith
- initial
- sorry for no source URL -- address it should be under doesn't work; I took
  it from NetBSD mirror
